# Dedicated Servers

## ⚡ Deployments

## \[v2] Deploy

> \<strong>\[Rate Limit: 40/seconds]\</strong> Initiate a new deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v2 API","version":"2026.03.16"},"servers":[{"url":"https://api.edgegap.com/v2","description":"Edgegap V2"}],"security":[{"api-token":[]}],"components":{"securitySchemes":{"api-token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"DeploymentCreate":{"required":["application","users","version"],"properties":{"application":{"type":"string","description":"Name of the application that will be deployed"},"version":{"type":"string","description":"Name of the version within the application that will be deployed"},"require_cached_locations":{"type":"boolean","default":false,"description":"Deploy faster by limiting placement to locations with cached image.","nullable":true},"users":{"type":"array","description":"List of users. These users will be used to select the locations for the deployment","minItems":1,"items":{"$ref":"#/components/schemas/User"}},"environment_variables":{"type":"array","description":"List of environment variables to inject into the deployment","items":{"$ref":"#/components/schemas/DeploymentEnvironmentVariable"}},"tags":{"type":"array","description":"List of tags to associate with the deployment","items":{"type":"string"}},"webhook_on_ready":{"description":"Webhook to call when the deployment is ready","allOf":[{"$ref":"#/components/schemas/BasicWebhook"}]},"webhook_on_error":{"description":"Webhook to call when the deployment is in error","allOf":[{"$ref":"#/components/schemas/BasicWebhook"}]},"webhook_on_terminated":{"description":"Webhook to call when the deployment is terminated","allOf":[{"$ref":"#/components/schemas/BasicWebhook"}]}},"type":"object"},"User":{"required":["user_data","user_type"],"properties":{"user_type":{"type":"string","description":"Type of user (e.g., ip_address or geo_coordinates)"},"user_data":{"type":"object","description":"Dynamic user data depending on user_type","properties":{}}},"type":"object"},"DeploymentEnvironmentVariable":{"required":["is_hidden","key","value"],"properties":{"key":{"type":"string","description":"Environment variable key"},"value":{"type":"string","description":"Environment variable value"},"is_hidden":{"type":"boolean","description":"An hidden environment variable is not shown in the UI"}},"type":"object"},"BasicWebhook":{"required":["url"],"properties":{"url":{"type":"string","description":"Webhook URL"}},"type":"object"}}},"paths":{"/deployments":{"post":{"summary":"[v2] Deploy","deprecated":false,"description":"<strong>[Rate Limit: 40/seconds]</strong> Initiate a new deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.","operationId":"deployment-create","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentCreate"}}}},"responses":{"202":{"description":"Deployment Request Accepted","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"request_id":{"type":"string","description":"Request ID. Unique identifier of the deployment request"}},"required":["request_id"]}}},"headers":{}},"400":{"description":"Client Side Request Error","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"required":["message"]}}},"headers":{}},"401":{"description":"Unauthorized - Missing Token","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"required":["message"]}}},"headers":{}},"422":{"description":"Couldn't Allocate Server","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"request_id":{"type":"string","description":"Request ID. Unique identifier of the deployment request"},"message":{"type":"string","description":"Error message"}},"required":["request_id","message"]}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"required":["message"]}}},"headers":{}}}}}}}
```

## Get Deployment

> \[Rate Limit: 20 req/s] Get the specified deployment status and information.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"V1DeploymentStatus":{"type":"object","properties":{"request_id":{"type":"string","description":"ID of your deployment, also referred to as request ID."},"fqdn":{"type":"string","description":"FQDN (URL) to connect to the deployment."},"public_ip":{"type":"string","description":"Public IP address of the host."},"app_name":{"type":"string","description":"Application which has been deployed."},"app_version":{"type":"string","description":"App version which has been deployed."},"current_status":{"type":"string","description":"Indicates whether deployment is Ready, in Error, or otherwise."},"running":{"type":"boolean","description":"True if deployment is Ready for connections.","default":true},"start_time":{"type":"string","description":"Timestamp of deployment becoming Ready.","format":"date-time"},"elapsed_time":{"type":"integer","description":"Seconds since deployment becoming Ready."},"max_duration":{"type":"integer","description":"Maximum allowed uptime minutes of deployments before automatically stopped.","minimum":-1,"maximum":1440},"removal_time":{"type":"string","description":"Timestamp of deployment stopped.","format":"date-time"},"last_status":{"type":"string","description":"Previous status of deployment."},"error":{"type":"boolean","description":"Indicates an error with the deployment.","default":false},"error_detail":{"type":"string","description":"Details of the error."},"ports":{"type":"object","properties":{"gameport":{"$ref":"#/components/schemas/DeploymentPort"}},"description":"Port mapping exposing server listeners to internet."},"location":{"$ref":"#/components/schemas/LocationData","description":"Geographic location of the deployment."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags to mark your deployments for easy filtering."},"command":{"type":"string","description":"Overrides container command for the deployment, use with caution."},"arguments":{"type":"string","description":"Overrides container arguments for the deployment, use with caution."}},"required":["app_name","app_version","current_status","elapsed_time","error","fqdn","max_duration","public_ip","request_id","running","start_time"],"nullable":true},"DeploymentPort":{"type":"object","properties":{"name":{"type":"string","description":"Custom identifier."},"link":{"type":"string","description":"URL to connect, containing FQDN and external port."},"internal":{"type":"integer","description":"Internal listener port where deployment expects connections.","minimum":0,"maximum":59999},"external":{"type":"integer","minimum":0,"maximum":59999,"description":"Randomly assigned port to connect to the deployment."},"protocol":{"type":"string","description":"Selected networking protocol."},"tls_upgrade":{"type":"boolean","description":"TLS proxy, only available with ports WS and HTTP.","default":false}},"required":["name","link","internal","external","protocol","tls_upgrade"]},"LocationData":{"required":["administrative_division","city","continent","country","latitude","longitude","timezone"],"properties":{"city":{"type":"string","description":"City of the deployment."},"country":{"type":"string","description":"Country of the deployment."},"continent":{"type":"string","description":"Continent of the deployment."},"administrative_division":{"type":"string","description":"Administrative division of the deployment."},"timezone":{"type":"string","description":"Timezone of the deployment."},"latitude":{"type":"number","description":"Latitude of the deployment"},"longitude":{"type":"number","description":"Longitude of the deployment."}},"type":"object"},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/status/{deployment_id}":{"get":{"summary":"Get Deployment","deprecated":false,"description":"[Rate Limit: 20 req/s] Get the specified deployment status and information.","operationId":"deployment-get","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1DeploymentStatus"}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"required":["message"]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## List Deployments

> \[Rate Limit: 10 req/s] List all deployments, optionally filtered and sorted.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"DeploymentPort":{"type":"object","properties":{"name":{"type":"string","description":"Custom identifier."},"link":{"type":"string","description":"URL to connect, containing FQDN and external port."},"internal":{"type":"integer","description":"Internal listener port where deployment expects connections.","minimum":0,"maximum":59999},"external":{"type":"integer","minimum":0,"maximum":59999,"description":"Randomly assigned port to connect to the deployment."},"protocol":{"type":"string","description":"Selected networking protocol."},"tls_upgrade":{"type":"boolean","description":"TLS proxy, only available with ports WS and HTTP.","default":false}},"required":["name","link","internal","external","protocol","tls_upgrade"]},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments":{"get":{"summary":"List Deployments","deprecated":false,"description":"[Rate Limit: 10 req/s] List all deployments, optionally filtered and sorted.","operationId":"deployment-list","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"query","in":"query","description":"Query to filter the deployments. [See filtering guide.](https://docs.edgegap.com/learn/orchestration/deployments#filter-deployments) For client integrations, [consider Server Browser instead](https://docs.edgegap.com/learn/server-browser).","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"","schema":{"type":"integer","minimum":1}},{"name":"limit","in":"query","description":"","schema":{"type":"integer","minimum":1}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","description":"List of active deployments","items":{"type":"object","properties":{"request_id":{"type":"string","description":"ID of your deployment, also referred to as request ID."},"fqdn":{"type":"string","description":"FQDN (URL) to connect to the deployment."},"ready":{"type":"boolean","description":"True if deployment is Ready for connections."},"start_time":{"type":"string","description":"Timestamp of deployment becoming Ready."},"public_ip":{"type":"string","description":"Public IP address of the host."},"ports":{"type":"object","properties":{"gameport":{"$ref":"#/components/schemas/DeploymentPort"}},"description":"Port mapping exposing server listeners to internet."},"tags":{"type":"array","description":"List of tags to mark your deployments for easy filtering.","items":{"type":"string"}}},"required":["fqdn","public_ip","ready","request_id","start_time"]}},"message":{"type":"array","description":"Additional information related to your query.","items":{"type":"string"}},"total_count":{"type":"integer","minimum":0},"pagination":{"type":"object","properties":{"number":{"type":"integer","minimum":0},"next_page_number":{"type":"integer","minimum":1,"nullable":true},"previous_page_number":{"type":"integer","minimum":1,"nullable":true},"paginator":{"type":"object","properties":{"num_pages":{"type":"integer","minimum":1}},"required":["num_pages"]},"has_next":{"type":"boolean","default":true},"has_previous":{"type":"boolean","default":false}},"required":["number","next_page_number","previous_page_number","paginator","has_next","has_previous"]}},"required":["total_count","pagination"]}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Stop Deployment

> Request to stop a deployment from your custom backend, triggering a graceful shutdown (SIGTERM). Returns 200 or 202 if deployment status is not READY and not ERROR, and stops deployment once either of these statuses is reached - \[see Deployment Lifecycle]\(<https://docs.edgegap.com/learn/advanced-features/deployments#deployment-lifecycle>).

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"V1DeploymentStatus":{"type":"object","properties":{"request_id":{"type":"string","description":"ID of your deployment, also referred to as request ID."},"fqdn":{"type":"string","description":"FQDN (URL) to connect to the deployment."},"public_ip":{"type":"string","description":"Public IP address of the host."},"app_name":{"type":"string","description":"Application which has been deployed."},"app_version":{"type":"string","description":"App version which has been deployed."},"current_status":{"type":"string","description":"Indicates whether deployment is Ready, in Error, or otherwise."},"running":{"type":"boolean","description":"True if deployment is Ready for connections.","default":true},"start_time":{"type":"string","description":"Timestamp of deployment becoming Ready.","format":"date-time"},"elapsed_time":{"type":"integer","description":"Seconds since deployment becoming Ready."},"max_duration":{"type":"integer","description":"Maximum allowed uptime minutes of deployments before automatically stopped.","minimum":-1,"maximum":1440},"removal_time":{"type":"string","description":"Timestamp of deployment stopped.","format":"date-time"},"last_status":{"type":"string","description":"Previous status of deployment."},"error":{"type":"boolean","description":"Indicates an error with the deployment.","default":false},"error_detail":{"type":"string","description":"Details of the error."},"ports":{"type":"object","properties":{"gameport":{"$ref":"#/components/schemas/DeploymentPort"}},"description":"Port mapping exposing server listeners to internet."},"location":{"$ref":"#/components/schemas/LocationData","description":"Geographic location of the deployment."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags to mark your deployments for easy filtering."},"command":{"type":"string","description":"Overrides container command for the deployment, use with caution."},"arguments":{"type":"string","description":"Overrides container arguments for the deployment, use with caution."}},"required":["app_name","app_version","current_status","elapsed_time","error","fqdn","max_duration","public_ip","request_id","running","start_time"],"nullable":true},"DeploymentPort":{"type":"object","properties":{"name":{"type":"string","description":"Custom identifier."},"link":{"type":"string","description":"URL to connect, containing FQDN and external port."},"internal":{"type":"integer","description":"Internal listener port where deployment expects connections.","minimum":0,"maximum":59999},"external":{"type":"integer","minimum":0,"maximum":59999,"description":"Randomly assigned port to connect to the deployment."},"protocol":{"type":"string","description":"Selected networking protocol."},"tls_upgrade":{"type":"boolean","description":"TLS proxy, only available with ports WS and HTTP.","default":false}},"required":["name","link","internal","external","protocol","tls_upgrade"]},"LocationData":{"required":["administrative_division","city","continent","country","latitude","longitude","timezone"],"properties":{"city":{"type":"string","description":"City of the deployment."},"country":{"type":"string","description":"Country of the deployment."},"continent":{"type":"string","description":"Continent of the deployment."},"administrative_division":{"type":"string","description":"Administrative division of the deployment."},"timezone":{"type":"string","description":"Timezone of the deployment."},"latitude":{"type":"number","description":"Latitude of the deployment"},"longitude":{"type":"number","description":"Longitude of the deployment."}},"type":"object"},"DeleteDeploymentResponse":{"required":["message"],"properties":{"message":{"type":"string","description":"Additional information regarding deployment termination."}},"type":"object"},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/stop/{deployment_id}":{"delete":{"summary":"Stop Deployment","deprecated":false,"description":"Request to stop a deployment from your custom backend, triggering a graceful shutdown (SIGTERM). Returns 200 or 202 if deployment status is not READY and not ERROR, and stops deployment once either of these statuses is reached - [see Deployment Lifecycle](https://docs.edgegap.com/learn/advanced-features/deployments#deployment-lifecycle).","operationId":"deployment-delete","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"container_log_storage","in":"query","description":"Enable or disable previously configured log storage. Alternatively, provide endpoint storage ID to override or set storage to upload logs.","required":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Additional information regarding deployment termination."},"deployment_summary":{"$ref":"#/components/schemas/V1DeploymentStatus"}},"required":["message"]}}},"headers":{}},"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteDeploymentResponse"}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"410":{"description":"Instance Already terminated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Stop Deployments

> Delete multiple deployments using custom filtering. Caution is advised.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments/bulk-stop":{"post":{"summary":"Stop Deployments","deprecated":false,"description":"Delete multiple deployments using custom filtering. Caution is advised.","operationId":"deployment-bulk-delete","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"filters":{"type":"array","description":"Identify which deployments to stop.","items":{"type":"object","properties":{"field":{"type":"string","description":"Deployment field used for filtering.","enum":["request_id","deployment_tags"]},"values":{"type":"array","description":"Values to compare against.","items":{"type":"string"}},"filter_type":{"type":"string","description":"Filter operator.","enum":["any","all","not"]}},"required":["field","filter_type","values"]}}},"required":["filters"]}}},"required":true},"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"type":"object","properties":{"processable":{"type":"array","description":"Deployments which will be stopped.","items":{"type":"object","properties":{"request_id":{"type":"string","description":"ID of your deployment, also referred to as request ID."}},"required":["request_id"]}}},"required":["processable"]}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Self-Stop Deployment

> Delete a deployment from the inside of a container, available as injected variable \`ARBITRIUM\_DELETE\_URL\`.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"DeleteDeploymentResponse":{"required":["message"],"properties":{"message":{"type":"string","description":"Additional information regarding deployment termination."}},"type":"object"},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/self/stop/{deployment_id}/{stop_key}":{"delete":{"summary":"Self-Stop Deployment","deprecated":false,"description":"Delete a deployment from the inside of a container, available as injected variable `ARBITRIUM_DELETE_URL`.","operationId":"deployment-self-delete","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"stop_key","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"container_log_storage","in":"query","description":"Enable or disable previously configured log storage. Alternatively, provide endpoint storage ID to override or set storage to upload logs.","required":false,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"Auto Generated token. This token is injected in your deployment and can be found via the environment variable named ARBITRIUM_DELETE_TOKEN","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{}}},"headers":{}},"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteDeploymentResponse"}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Get Deployment Logs

> Retrieve the logs of your container, if Endpoint Storage was configured before stopping the deployment.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployment/{deployment_id}/container-logs":{"get":{"summary":"Get Deployment Logs","deprecated":false,"description":"Retrieve the logs of your container, if Endpoint Storage was configured before stopping the deployment.","operationId":"deployment-logs-get","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"ID of your deployment, also referred to as request ID.","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"logs":{"type":"string","description":"Plaintext deployment success logs."},"crash_logs":{"type":"string","description":"Plaintext deployment crash logs.","nullable":true},"crash_data":{"type":"object","properties":{"exit_code":{"type":"integer","description":"Deployment process exit code."},"message":{"type":"string","description":"Deployment process exit message."},"restart_count":{"type":"integer","description":"Restart counter of your deployment's main process (if allowed).","minimum":0}},"description":"Additional information about deployment's main process error..","nullable":true},"encoding":{"type":"string","description":"Encoding used for logs."},"logs_link":{"type":"string","description":"Link to retrieve logs from your configured Endpoint Storage.","nullable":true}}}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Get Deployment Metrics

> Get metrics for the specified deployment in a given time range.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"MetricsModel":{"properties":{"labels":{"type":"array","items":{"type":"string"}},"datasets":{"type":"array","items":{"type":"integer"}},"timestamps":{"type":"array","items":{"type":"string","format":"date"}}},"type":"object"},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/metrics/deployment/{deployment_id}":{"get":{"summary":"Get Deployment Metrics","deprecated":false,"description":"Get metrics for the specified deployment in a given time range.","operationId":"deployment-metrics-get","tags":["Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"start_time","in":"query","description":"Start of reporting time range, defaults to deployment start time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"end_time","in":"query","description":"End of reporting time range, default to deployment stopped time. Must be greater than start time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"steps","in":"query","description":"Size of reporting time step between metric values, aggregated using average (mean).","required":false,"schema":{"type":"string"}},{"name":"raw","in":"query","description":"Optionally enable raw output.","required":false,"schema":{"type":"boolean","default":false}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"object","properties":{"receive_total":{"$ref":"#/components/schemas/MetricsModel"},"transmit_total":{"$ref":"#/components/schemas/MetricsModel"},"disk_read_total":{"$ref":"#/components/schemas/MetricsModel"},"disk_write_total":{"$ref":"#/components/schemas/MetricsModel"}}},"cpu":{"$ref":"#/components/schemas/MetricsModel"},"cpu_throttle_rate":{"$ref":"#/components/schemas/MetricsModel"},"cpu_throttle_total":{"$ref":"#/components/schemas/MetricsModel"},"mem":{"$ref":"#/components/schemas/MetricsModel"},"network":{"type":"object","properties":{"receive":{"$ref":"#/components/schemas/MetricsModel"},"transmit":{"$ref":"#/components/schemas/MetricsModel"}}}}}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"422":{"description":"Unprocessable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## 🗺️ Private Fleets

## Deploy to Fleet

> \<strong>\[Rate Limit: 40/seconds]\</strong> Initiate a new private fleet deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v2 API","version":"2026.03.16"},"servers":[{"url":"https://api.edgegap.com/v2","description":"Edgegap V2"}],"security":[{"api-token":[]}],"components":{"securitySchemes":{"api-token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PrivateFleetDeploymentCreate":{"type":"object","properties":{"application":{"type":"string","description":"Name of the application that will be deployed"},"version":{"type":"string","description":"Name of the version within the application that will be deployed"},"require_cached_locations":{"type":"boolean","default":false,"description":"Deploy faster by limiting placement to locations with cached image.","nullable":true},"private_host_ids":{"type":"array","items":{"type":"string"},"description":"Preferred and prioritized Private Host IDs to try before overflowing to cloud.","minItems":1,"uniqueItems":true},"users":{"type":"array","description":"List of users. These users will be used to select the locations for the deployment","minItems":1,"items":{"$ref":"#/components/schemas/User"}},"environment_variables":{"type":"array","description":"List of environment variables to inject into the deployment","items":{"$ref":"#/components/schemas/DeploymentEnvironmentVariable"}},"tags":{"type":"array","description":"List of tags to associate with the deployment","items":{"type":"string"}},"webhook_on_ready":{"description":"Webhook to call when the deployment is ready","allOf":[{"$ref":"#/components/schemas/BasicWebhook"}]},"webhook_on_error":{"description":"Webhook to call when the deployment is in error","allOf":[{"$ref":"#/components/schemas/BasicWebhook"}]},"webhook_on_terminated":{"description":"Webhook to call when the deployment is terminated","allOf":[{"$ref":"#/components/schemas/BasicWebhook"}]}},"required":["application","users","version","private_host_ids"]},"User":{"required":["user_data","user_type"],"properties":{"user_type":{"type":"string","description":"Type of user (e.g., ip_address or geo_coordinates)"},"user_data":{"type":"object","description":"Dynamic user data depending on user_type","properties":{}}},"type":"object"},"DeploymentEnvironmentVariable":{"required":["is_hidden","key","value"],"properties":{"key":{"type":"string","description":"Environment variable key"},"value":{"type":"string","description":"Environment variable value"},"is_hidden":{"type":"boolean","description":"An hidden environment variable is not shown in the UI"}},"type":"object"},"BasicWebhook":{"required":["url"],"properties":{"url":{"type":"string","description":"Webhook URL"}},"type":"object"},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"type":"object"},"ParameterError422":{"required":["message","request_id"],"properties":{"request_id":{"type":"string","description":"Request ID. Unique identifier of the deployment request"},"message":{"type":"string","description":"Error message"}},"type":"object"}}},"paths":{"/private-fleets/deployments":{"post":{"summary":"Deploy to Fleet","deprecated":false,"description":"<strong>[Rate Limit: 40/seconds]</strong> Initiate a new private fleet deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.","operationId":"private-fleets-deployment-create","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateFleetDeploymentCreate"}}}},"responses":{"202":{"description":"","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"request_id":{"type":"string","description":"Request ID. Unique identifier of the deployment request"}},"required":["request_id"]}}},"headers":{}},"400":{"description":"Invalid Application or Application Version. No deployment has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized. No deployment has been created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"422":{"description":"Could not allocate an Edge Server for the deployment. A deployment has been created. Deployment is in error state. You can delete it manually or it will be deleted automatically by our system after some some times","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterError422"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## List Private Fleet Hosts

> \<strong>\[Rate Limit: 10/seconds]\</strong> List all hosts in a private fleet.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v2 API","version":"2026.03.16"},"servers":[{"url":"https://api.edgegap.com/v2","description":"Edgegap V2"}],"security":[{"api-token":[]}],"components":{"securitySchemes":{"api-token":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/private-fleets/{fleet-name}/hosts":{"get":{"summary":"List Private Fleet Hosts","deprecated":false,"description":"<strong>[Rate Limit: 10/seconds]</strong> List all hosts in a private fleet.","operationId":"private-fleet-hosts-list","tags":[],"parameters":[{"name":"fleet-name","in":"path","description":"Name of your private fleet.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"host_id":{"type":"string","description":"Unique private fleet host identifier, used to deploy on this host."},"status":{"type":"string","description":"Lifecycle stage of the host, only ACTIVE hosts accept deployments.","enum":["PENDING","ACTIVE"]},"ip_address":{"type":"string","description":"Public IP address of the host.","nullable":true},"latitude":{"type":"number","description":"Approximate geographic latitude of the host.","nullable":true},"longitude":{"type":"number","description":"Approximate geographic longitude of the host.","nullable":true},"city":{"type":"string","description":"City in which the host is located.","nullable":true},"country":{"type":"string","description":"Country in which the host is located.","nullable":true},"continent":{"type":"string","description":"Continent in which the host is located.","nullable":true},"allocated_cpu_units":{"type":"integer","description":"Total virtual CPU units currently in use for deployments, beacons, and orchestration.","nullable":true},"allocated_memory_mb":{"type":"integer","description":"Total memory in MB currently in use for deployments, beacons, and orchestration."},"allocatable_cpu_units":{"type":"integer","description":"Total available virtual CPU units for deployments.","nullable":true},"allocatable_memory_mb":{"type":"integer","description":"Total available memory in MB for deployments.","nullable":true},"beacon":{"type":"object","properties":{"tcp_port":{"type":"integer","description":"External beacon TCP port used to perform TCP ping."},"udp_port":{"type":"integer","description":"External beacon UDP port used to perform UDP ping."},"ip_address":{"type":"string","description":"Public IP address used to perform ping measurement."}},"required":["tcp_port","udp_port","ip_address"],"description":"Assigned beacon information, if enabled for this fleet.","nullable":true},"created_at":{"type":"string","description":"Timestamp of creation in UTC, ISO 8601 format."},"updated_at":{"type":"string","description":"Timestamp of last update in UTC, ISO 8601 format."},"centroid":{"type":"object","properties":{"label":{"type":"string","description":"Human readable label."},"latitude":{"type":"number","description":"Approximate geographic latitude of the centroid."},"longitude":{"type":"number","description":"Approximate geographic longitude of the centroid."},"radius_km":{"type":"number","description":"Approximate geographic radius used to pick primary and fallback locations."},"desired_host_count":{"type":"integer","description":"Requested amount of hosts to be started under this centroid."}},"required":["label","latitude","longitude","radius_km","desired_host_count"],"description":"Centroid information used to orchestrate placement of the host."},"delete_schedule":{"type":"object","properties":{"uuid":{"type":"string","description":"Unique identifier of deletion schedule."},"scheduled_at":{"type":"string","description":"Timestamp of scheduled deletion in UTC, ISO 8601 format."}},"description":"If defined, specified when the host will be deleted.","required":["uuid","scheduled_at"],"nullable":true},"fleet_host_specifications":{"type":"object","properties":{"cpu_units":{"type":"integer","description":"Host specification vCPU units selected during fleet creation."},"memory_mb":{"type":"integer","description":"Host specification memory MB selected during fleet creation."},"base_clock_speed_mhz":{"type":"integer","description":"Host specification base CPU clock frequency selected during fleet creation."}},"required":["cpu_units","memory_mb","base_clock_speed_mhz"]}},"description":"List of private fleet hosts.","required":["host_id","status","allocated_cpu_units","allocated_memory_mb","created_at","updated_at","centroid","fleet_host_specifications"]}}},"required":["data"]}}},"headers":{}},"400":{"description":"","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"required":["message"]}}},"headers":{}},"401":{"description":"","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"required":["message"]}}},"headers":{}},"500":{"description":"","content":{"application/json":{"schema":{"title":"","type":"object","properties":{"message":{"type":"string","description":"Error message"},"details":{"type":"object","description":"Additional error details","properties":{}}},"required":["message"]}}},"headers":{}}}}}}}
```

## &#x20;🔖 Tags

## Create Tag

> Create a tag for the specified deployment. Does not modify injected variables in a running deployment.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Tags"},{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"DeploymentTag":{"required":["name"],"properties":{"name":{"type":"string","description":"Name of the tag.","maxLength":40,"minLength":1}},"type":"object"},"DeploymentTagResponse":{"properties":{"name":{"type":"string","description":"Name of the tag.","maxLength":40,"minLength":1},"create_time":{"type":"string","description":"Date of creation.","format":"date-time"},"last_updated":{"type":"string","description":"Date of last update.","format":"date-time"}},"type":"object","required":["name"]},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments/{deployment_id}/tags":{"post":{"summary":"Create Tag","deprecated":false,"description":"Create a tag for the specified deployment. Does not modify injected variables in a running deployment.","operationId":"deployment-tag-create","tags":["Tags","Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentTag"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentTagResponse"}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Get Tag

> Get tag from the specified deployment.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Tags"},{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"DeploymentTagResponse":{"properties":{"name":{"type":"string","description":"Name of the tag.","maxLength":40,"minLength":1},"create_time":{"type":"string","description":"Date of creation.","format":"date-time"},"last_updated":{"type":"string","description":"Date of last update.","format":"date-time"}},"type":"object","required":["name"]},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments/{deployment_id}/tags/{tag_name}":{"get":{"summary":"Get Tag","deprecated":false,"description":"Get tag from the specified deployment.","operationId":"deployment-tag-get","tags":["Tags","Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"tag_name","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentTagResponse"}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## List Tags

> List tags from the specified deployment.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Tags"},{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"DeploymentTagResponse":{"properties":{"name":{"type":"string","description":"Name of the tag.","maxLength":40,"minLength":1},"create_time":{"type":"string","description":"Date of creation.","format":"date-time"},"last_updated":{"type":"string","description":"Date of last update.","format":"date-time"}},"type":"object","required":["name"]},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments/{deployment_id}/tags":{"get":{"summary":"List Tags","deprecated":false,"description":"List tags from the specified deployment.","operationId":"deployment-tag-list","tags":["Tags","Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"","schema":{"type":"integer","minimum":1}},{"name":"limit","in":"query","description":"","schema":{"type":"integer","minimum":1}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"tags":{"type":"array","items":{"$ref":"#/components/schemas/DeploymentTagResponse"}},"total_count":{"type":"integer","minimum":0},"pagination":{"type":"object","properties":{"number":{"type":"integer","minimum":0},"next_page_number":{"type":"integer","minimum":1,"nullable":true},"previous_page_number":{"type":"integer","minimum":1,"nullable":true},"paginator":{"type":"object","properties":{"num_pages":{"type":"integer","minimum":1}},"required":["num_pages"]},"has_next":{"type":"boolean","default":true},"has_previous":{"type":"boolean","default":false}},"required":["number","next_page_number","previous_page_number","paginator","has_next","has_previous"]}},"required":["total_count","pagination"]}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Update Tag

> Update a tag for the specified deployment. Does not modify injected variables.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Tags"},{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"DeploymentTag":{"required":["name"],"properties":{"name":{"type":"string","description":"Name of the tag.","maxLength":40,"minLength":1}},"type":"object"},"DeploymentTagResponse":{"properties":{"name":{"type":"string","description":"Name of the tag.","maxLength":40,"minLength":1},"create_time":{"type":"string","description":"Date of creation.","format":"date-time"},"last_updated":{"type":"string","description":"Date of last update.","format":"date-time"}},"type":"object","required":["name"]},"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments/{deployment_id}/tags/{tag_name}":{"patch":{"summary":"Update Tag","deprecated":false,"description":"Update a tag for the specified deployment. Does not modify injected variables.","operationId":"deployment-tag-update","tags":["Tags","Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"tag_name","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentTag"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentTagResponse"}}},"headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```

## Delete Tag

> Delete a tag for a deployment. Does not modify injected variables.

```json
{"openapi":"3.0.1","info":{"title":"Edgegap v1 API","version":"2026.04.24"},"tags":[{"name":"Tags"},{"name":"Deployments"},{"name":"Dedicated Servers"}],"servers":[{"url":"https://api.edgegap.com","description":"https://api.edgegap.com"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"Authorization","description":"[Manage API tokens in dashboard.](https://app.edgegap.com/user-settings?tab=tokens)"}},"schemas":{"Error":{"required":["message"],"properties":{"message":{"type":"string","description":"A message depending of the request termination"}},"type":"object"}}},"paths":{"/v1/deployments/{deployment_id}/tags/{tag_name}":{"delete":{"summary":"Delete Tag","deprecated":false,"description":"Delete a tag for a deployment. Does not modify injected variables.","operationId":"deployment-tag-delete","tags":["Tags","Deployments","Dedicated Servers"],"parameters":[{"name":"deployment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"tag_name","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"","schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","schema":{"type":"string"}}],"responses":{"204":{"description":"No Content","headers":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgegap.com/docs/api/dedicated-servers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
